%bcond_with bootstrap

Name:		gtk-doc
Version:	1.34.0
Release:	%mkrel 3
Summary:	API documentation generation tool for GTK+ and GNOME
License:	GPLv2+ and GFDL
Group:		Development/GNOME and GTK+
URL:		https://gitlab.gnome.org/GNOME/gtk-doc
Source0:	https://download.gnome.org/sources/gtk-doc/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gtk-doc-install-cmake-config-files-into-datadir.patch
# test-gobject-mkhtml: ../xml/object.xml:139: element include: XInclude error:
# could not load ../../examples/gobject.c, and no fallback was found
Patch2:		0002-Fix-tests.patch
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	xsltproc
BuildRequires:	source-highlight
BuildRequires:	yelp-tools
BuildRequires:	itstool
BuildRequires:  pkgconfig(glib-2.0)
%if ! %{with bootstrap}
# for the testsuite:
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	python3dist(anytree)
BuildRequires:	python3dist(pygments)
BuildRequires:	python3dist(parameterized)
BuildRequires:	python3dist(lxml)
BuildRequires:	bc
# for pdflatex:
BuildRequires:	dblatex >= 0.3.11-4
BuildRequires:	texlive-dist
%endif

# Following are not automatically installed
Requires:	xsltproc
Requires:	docbook-utils
Requires:	docbook-dtds
Requires:	docbook-style-xsl
%if ! %{with bootstrap}
Requires:	python3-pygments
Requires:	python3-six
%endif
Requires:	source-highlight

%description
gtk-doc is a tool for generating API reference documentation.
It is used for generating the documentation for GTK+, GLib
and GNOME.

%package	mkpdf
Summary:	API documentation PDF format generation tool for GTK+ and GNOME
Group:		Development/GNOME and GTK+
Requires:	%{name} = %version
%if ! %{with bootstrap}
Requires:	dblatex
%endif

%description	mkpdf
gtkdoc-mkpdf is a tool for generating API reference documentation in PDF format.
it is used for generating the documentation for GTK+, GLib and GNOME.

%prep
%autosetup -p1

# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
%meson
%meson_build

%install
%meson_install

# include shared directory
install -d -m 755 %{buildroot}%{_datadir}/gtk-doc/html

%find_lang %{name}-manual --with-gnome

%if ! %{with bootstrap}
%check
%meson_test
%endif

%files -f %{name}-manual.lang
%doc AUTHORS README doc/* examples
%{_bindir}/gtkdoc-check
%{_bindir}/gtkdoc-depscan
%{_bindir}/gtkdoc-fixxref
%{_bindir}/gtkdoc-mkdb
%{_bindir}/gtkdoc-mkhtml
%{_bindir}/gtkdoc-mkhtml2
%{_bindir}/gtkdoc-mkman
%{_bindir}/gtkdoc-rebase
%{_bindir}/gtkdoc-scan
%{_bindir}/gtkdoc-scangobj
%{_bindir}/gtkdocize
%{_datadir}/gtk-doc/
%{_datadir}/pkgconfig/*
%{_datadir}/aclocal/*
%{_datadir}/cmake/GtkDoc/

%files mkpdf
%{_bindir}/gtkdoc-mkpdf


%changelog
* Fri Feb 28 2025 wally <wally> 1.34.0-3.mga10
+ Revision: 2153983
- non-bootstrap build for python3.13

* Wed Feb 19 2025 neoclust <neoclust> 1.34.0-2.mga10
+ Revision: 2149789
- Rebuild in bootstrap mode

* Mon Mar 18 2024 daviddavid <daviddavid> 1.34.0-1.mga10
+ Revision: 2050547
- new version 1.34.0
- remove merged upstream patches

* Tue Feb 20 2024 wally <wally> 1.33.2-9.mga10
+ Revision: 2042650
- gtkdocize: don't backslash escape regular characters in grep (from upstream)
- update URL

* Wed Dec 20 2023 daviddavid <daviddavid> 1.33.2-8.mga10
+ Revision: 2019931
- non bootstrap build

* Thu Dec 07 2023 wally <wally> 1.33.2-7.mga10
+ Revision: 2014388
- bootstrap build for py3.12 update

* Mon Mar 28 2022 umeabot <umeabot> 1.33.2-6.mga9
+ Revision: 1830417
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 1.33.2-5.mga9
+ Revision: 1774462
- Non bootstrap build in order to pick up missingdeps

* Sat Feb 05 2022 wally <wally> 1.33.2-4.mga9
+ Revision: 1771567
- bootstrap build for upcoming python3.10 update

* Mon Mar 15 2021 wally <wally> 1.33.2-3.mga9
+ Revision: 1703308
- disable python 3.9 bootstrap build

* Sun Mar 14 2021 wally <wally> 1.33.2-2.mga9
+ Revision: 1702505
- bootstrap build for new python 3.9

* Sat Feb 27 2021 daviddavid <daviddavid> 1.33.2-1.mga9
+ Revision: 1692572
- new version: 1.33.2

* Thu Nov 12 2020 wally <wally> 1.32-4.mga8
+ Revision: 1644856
- rebuild to have noarch pkg-config in configs

* Wed Nov 11 2020 wally <wally> 1.32-3.mga8
+ Revision: 1644713
- build as noarch pkg
- rebuild with dblatex 0.3.11-4
- update url
- replace deprecated %%configure2_5x
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Aug 15 2019 ovitters <ovitters> 1.32-1.mga8
+ Revision: 1429378
- new version 1.32

* Thu Aug 08 2019 tv <tv> 1.31-2.mga8
+ Revision: 1428116
- add missing runtime py3 deps

* Wed Aug 07 2019 ovitters <ovitters> 1.31-1.mga8
+ Revision: 1428056
- new version 1.31
- drop unneeded patch
- remove unneeded additional source file (forgotten in some tarball version)

* Sat Dec 29 2018 wally <wally> 1.29-4.mga7
+ Revision: 1346339
- redo bootstrap logic
- clean BRs
- clean/update requires
  - no need to require python3-six or glib2.0-devel

* Tue Dec 18 2018 wally <wally> 1.29-3.mga7
+ Revision: 1342571
- add patch to make fixxref to use utf-8 with tmp files

* Sun Oct 07 2018 wally <wally> 1.29-2.mga7
+ Revision: 1318516
- add sanity.sh missing from source tarball for tests
- add BRs for tests
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ daviddavid <daviddavid>
- new version 1.29

* Sat Mar 24 2018 ovitters <ovitters> 1.28-1.mga7
+ Revision: 1212013
- new version 1.28

* Wed Feb 21 2018 ovitters <ovitters> 1.27-1.mga7
+ Revision: 1204037
- new version 1.27
- dropped merged patch gtk-doc-1.26-test-reference-warnings.patch

* Thu Oct 26 2017 daviddavid <daviddavid> 1.26-2.mga7
+ Revision: 1173781
- add missing dependencies on pythonegg(2)(six) and pkgconfig(glib-2.0)

* Sun Oct 22 2017 cjw <cjw> 1.26-1.mga7
+ Revision: 1173003
- add buildrequires: pkgconfig(gtk+-3.0) for tests
- add buildrequires: yelp-tools
- patch1: fix warnings in test case (from upstream git)
- fix build
+ daviddavid <daviddavid>
- fix for new find_lang (s/with-help/with-gnome/)
+ ovitters <ovitters>
- new version 1.26

* Wed Mar 23 2016 tv <tv> 1.25-2.mga6
+ Revision: 994426
- use %%configure2_5x
- no more noarch as it is now putting files in archful directories

* Wed Mar 23 2016 tv <tv> 1.25-1.mga6
+ Revision: 994420
- further add BRs for the testsuite
- add BRs for the testsuite
- adjust file list
- new release

* Thu Feb 18 2016 umeabot <umeabot> 1.24-2.mga6
+ Revision: 965847
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 ovitters <ovitters> 1.24-1.mga6
+ Revision: 838551
- new version 1.24

* Sat Jun 20 2015 ovitters <ovitters> 1.22-1.mga6
+ Revision: 836435
- new version 1.22

* Wed Oct 15 2014 umeabot <umeabot> 1.21-3.mga5
+ Revision: 751170
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.21-2.mga5
+ Revision: 680000
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Aug 30 2014 pterjan <pterjan> 1.21-1.mga5
+ Revision: 669334
- Update file list
+ ovitters <ovitters>
- new version 1.21

* Sat Feb 15 2014 ovitters <ovitters> 1.20-1.mga5
+ Revision: 592425
- new version 1.20

* Sat Oct 19 2013 umeabot <umeabot> 1.19-2.mga4
+ Revision: 527518
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- drop scrollkeeper

* Sun Jun 09 2013 fwang <fwang> 1.19-1.mga4
+ Revision: 440954
- use new doc tool
- new version 1.9

* Sat Jan 12 2013 umeabot <umeabot> 1.18-2.mga3
+ Revision: 352818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 fwang <fwang> 1.18-1.mga2
+ Revision: 143695
- new version 1.18

* Mon Aug 29 2011 fwang <fwang> 1.17-2.mga2
+ Revision: 136050
- split out pdf command, which is rarely used

* Thu Mar 03 2011 pterjan <pterjan> 1.17-1.mga1
+ Revision: 63336
- Update to 1.17
- Fix indentation

* Tue Jan 11 2011 blino <blino> 1.15-4.mga1
+ Revision: 6387
- remove pkgconfig dir definition for old versions
+ pterjan <pterjan>
- imported package gtk-doc


* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 1.15-3mdv2011.0
+ Revision: 563270
- repush to breakage :0

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 1.15-2mdv2011.0
+ Revision: 563238
- tighter requirements to not pulling gtk+ as depends.
  WARN: MAY NOT FUNCTIONAL AS EXPECTED, ONLY A TEMPORARY WORKAROUND.

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.15-1mdv2011.0
+ Revision: 550730
- update to new version 1.15

* Sun Mar 28 2010 Götz Waschk <waschk@mandriva.org> 1.14-1mdv2010.1
+ Revision: 528609
- new version
- drop patch

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 1.13-2mdv2010.1
+ Revision: 482625
- add upstream patch to fix problem when building without module specified

* Fri Dec 18 2009 Götz Waschk <waschk@mandriva.org> 1.13-1mdv2010.1
+ Revision: 480015
- enable support for dblatex and source-highlight
- new version
- drop patch
- update file list

  + Funda Wang <fwang@mandriva.org>
    - update url

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.11-4mdv2010.0
+ Revision: 425055
- rebuild

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 1.11-3mdv2009.1
+ Revision: 357179
- fix for files with spaces in their names

* Mon Nov 17 2008 Götz Waschk <waschk@mandriva.org> 1.11-2mdv2009.1
+ Revision: 303874
- enable checks

* Mon Nov 17 2008 Götz Waschk <waschk@mandriva.org> 1.11-1mdv2009.1
+ Revision: 303860
- update build deps
- new version
- fix build
- update license
- update file list

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.10-2mdv2009.0
+ Revision: 264644
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.10-1mdv2009.0
+ Revision: 192413
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 05 2007 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2008.1
+ Revision: 95553
- new version
- update file list
- fix configure call


* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 1.8-1mdv2007.0
+ Revision: 121905
- Import gtk-doc

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 1.8-1mdv2007.1
- use the new macros
- remove scrollkeeper files
- New version 1.8

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.7-1mdv2007.0
- New release 1.7

* Thu Jul 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6-2mdv2007.0
- Add missing dependency

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 1.6-1mdk
- New release 1.6

* Tue Mar 07 2006 Götz Waschk <waschk@mandriva.org> 1.5-1mdk
- add scrollkeeper stuff
- New release 1.5

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4-2mdk
- Use mkrel

* Thu Jul 07 2005 Götz Waschk <waschk@mandriva.org> 1.4-1mdk
- New release 1.4

* Fri Apr 29 2005 Götz Waschk <waschk@mandriva.org> 1.3-2mdk
- fix pkgconfig file location

* Mon Jan 10 2005 Götz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- new source URL
- New release 1.3

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2

